Interface InvokeInferenceRouterResponse.Builder
- All Superinterfaces:
AwsResponse.Builder,Buildable,CopyableBuilder<InvokeInferenceRouterResponse.Builder,,InvokeInferenceRouterResponse> SageMakerInferenceRouterRuntimeResponse.Builder,SdkBuilder<InvokeInferenceRouterResponse.Builder,,InvokeInferenceRouterResponse> SdkPojo,SdkResponse.Builder
- Enclosing class:
InvokeInferenceRouterResponse
-
Method Summary
Modifier and TypeMethodDescriptionThe inference that the model returned.contentType(String contentType) The MIME type of the inference returned in the response body.customAttributes(String customAttributes) Provides additional information in the response about the inference.invokedProductionVariant(String invokedProductionVariant) The production variant of the destination endpoint that served the request.invokedRoutedResourceArn(String invokedRoutedResourceArn) The Amazon Resource Name (ARN) of the endpoint or inference component that served the request.routingReason(String routingReason) The reason that the router chose the destination that served the request.Methods inherited from interface software.amazon.awssdk.utils.builder.CopyableBuilder
copyMethods inherited from interface software.amazon.awssdk.services.sagemakerinferencerouterruntime.model.SageMakerInferenceRouterRuntimeResponse.Builder
build, responseMetadata, responseMetadataMethods inherited from interface software.amazon.awssdk.utils.builder.SdkBuilder
applyMutation, buildMethods inherited from interface software.amazon.awssdk.core.SdkPojo
equalsBySdkFields, sdkFieldNameToField, sdkFieldsMethods inherited from interface software.amazon.awssdk.core.SdkResponse.Builder
sdkHttpResponse, sdkHttpResponse
-
Method Details
-
body
The inference that the model returned.
- Parameters:
body- The inference that the model returned.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
contentType
The MIME type of the inference returned in the response body.
- Parameters:
contentType- The MIME type of the inference returned in the response body.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
invokedRoutedResourceArn
The Amazon Resource Name (ARN) of the endpoint or inference component that served the request.
- Parameters:
invokedRoutedResourceArn- The Amazon Resource Name (ARN) of the endpoint or inference component that served the request.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
routingReason
The reason that the router chose the destination that served the request. Possible values:
-
local-preferred– The destination is a healthy destination in the router's Region. -
capacity-available– No destination in the router's Region could take the request, and two or more destinations in other Regions could. -
only-healthy– No destination in the router's Region could take the request, and exactly one destination in another Region could. -
failover– The router moved the request away from destinations in its Region because they were overloaded or returning errors. You also see this value when the router can't assess destination health, and when no destination is healthy and the router tries one anyway.
- Parameters:
routingReason- The reason that the router chose the destination that served the request. Possible values:-
local-preferred– The destination is a healthy destination in the router's Region. -
capacity-available– No destination in the router's Region could take the request, and two or more destinations in other Regions could. -
only-healthy– No destination in the router's Region could take the request, and exactly one destination in another Region could. -
failover– The router moved the request away from destinations in its Region because they were overloaded or returning errors. You also see this value when the router can't assess destination health, and when no destination is healthy and the router tries one anyway.
-
- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
-
invokedProductionVariant
The production variant of the destination endpoint that served the request.
- Parameters:
invokedProductionVariant- The production variant of the destination endpoint that served the request.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
customAttributes
Provides additional information in the response about the inference. This is the value that the model container of the destination returned, unchanged.
- Parameters:
customAttributes- Provides additional information in the response about the inference. This is the value that the model container of the destination returned, unchanged.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-